# $Revision: 1.8 $Date: 2002/11/21 18:45:46 $
Summary:	MySQL Name Service Switch Module
Summary(pl):	Modu NSS MySQL
Name:		nss_mysql
Version:	0.43
Release:	1
License:	GPL
Group:		Base
Source0:	http://freesoftware.fsf.org/download/nss-mysql/nss-mysql.pkg/%{version}/nss-mysql-%{version}.tar.gz
Patch0:		%{name}-m4.patch
URL:		http://www.freesoftware.fsf.org/nss-mysql/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/lib

%description
NSS MySQL is a NSS library for MySQL. It features full groups, passwd
and shadow support.

%description -l pl
NSS MySQL jest bibliotek NSS dla MySQL. Pozwala ona na przechowywanie
informacji typowych dla plikw groups, passwd oraz shadow w bazie
MySQL.

%prep
%setup -q -n nss-mysql-%{version}
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-group \
	--enable-shadow \
	--with-mysql=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README SHADOW THANKS TODO UPGRADE *.sql
%attr(755,root,root) %{_libdir}/*.so*
%attr(600,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/nss*.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nss_mysql.spec,v $
Revision 1.8  2002/11/21 18:45:46  kloczek
- added regenerate libtool files on top %build.

Revision 1.7  2002/11/19 14:31:48  misiek
- m4 patch is back

Revision 1.6  2002/11/19 14:21:02  misiek
- updated to 0.43

Revision 1.5  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/05/23 17:43:50  kloczek
- more macros and use new %doc packing infrastructure.

Revision 1.3  2002/05/23 16:45:48  misiek
- updated to 0.37

Revision 1.2  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/03/26 23:00:44  misiek
- initial pld release
